# (c) M_Chabot 2016 ...
# Permission to use, copy, modify, and distribute this software for
# any purpose and without fee is hereby granted, provided the above
# copyright notice appear in all copies.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
# ____________________________________________________________________________
# Description
# This stems from TIG's 'dropverts.rb' where all the logic and coding has been set; moving endpoints in the Z axis.
# I just ported it to add X and Y axies as a complement.
# and put the 3 together as a tool set. Naming it, from a user point of view, Align Ends.
# adding LanguageHandler on the way.
###
module McF3D
require 'sketchup.rb'
require 'extensions.rb'
require 'langhandler.rb'

 # Constant for language strings swapping...
  AeLH = LanguageHandler.new('Alend.strings')

  # Load the extension.
  extension_name = AeLH['AlignEnds']

  path = File.dirname(__FILE__).freeze
  loader = File.join(path, 'Mc-AlignEnds', 'AlignEndsXYZ.rb')
  extension = SketchupExtension.new(extension_name, loader)
  extension.description = (AeLH['Tools to align endpoints of edges to objects; along X, Y or Z axies.'])
  extension.version = '1.0'
  extension.creator = 'Mario Chabot, but most from TIGs dropverts'
  extension.copyright = '2016, Format-3D inc.'

  Sketchup.register_extension extension, true
end #module